#
# spec file for package NetworkManager-kde (Version 0.1r588481)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           NetworkManager-kde
BuildRequires:  NetworkManager-devel dbus-1-devel dbus-1-qt3-devel hal-devel kdelibs3-devel kdepim3-devel kdepim3-networkstatus
%define appname knetworkmanager
ExcludeArch:    s390 s390x
%define prefix /opt/kde3
%define sysconfdir /etc
License:        GPL v2 or later
Group:          System/GUI/KDE
AutoReqProv:    on
Version:        0.1r588481
Release:        1.30.55
Summary:        KNetworkManager application for use with NetworkManager
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       NetworkManager
Provides:       NetworkManager-client
Source0:        %{appname}-%{version}.tar.bz2
Source1:        knetworkmanager.default.sh
Patch0:         knetworkmanager-kde-networkstatus-wstephenson-01.patch
Patch1:         knetworkmanager-dialup-yast-thoenig-01.patch
Patch2:         knetworkmanager-fallback-thoenig-03.patch
Patch3:         knetworkmanager-vpn-overlay-hschaa-01.patch
Patch4:         knetworkmanager-phase2-hschaa-01.patch
Patch5:         knetworkmanager-8021X-hschaa-01.patch
Patch6:         fix_dbus_conf.patch
Patch7:         knetworkmanager-WPA-EAP-data-validation-broken.patch

%description
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.



Authors:
--------
    Timo Hoenig <thoenig@suse.de>

%prep
%setup -n %{appname}-%{version} -q
%patch0 -R -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p2
%patch7 -p1
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --with-distro=suse
do_make %{?jobs:-j %jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
# fix this mess...
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/autostart/
install -m 755 -D %{SOURCE1} $RPM_BUILD_ROOT/opt/kde3/env/knetworkmanager.default.sh
install %{appname}/src/%{appname}.desktop $RPM_BUILD_ROOT/opt/kde3/share/autostart/%{appname}-autostart.desktop
%suse_update_desktop_file -r %appname Utility TrayIcon System Applet
%find_lang %appname

%post
%{run_ldconfig} 

%postun
%{run_ldconfig} 

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %appname.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
# disable for now (we have no documentation)
# %doc /opt/kde3/share/doc/HTML/en/%{appname}
/opt/kde3/bin/*
/opt/kde3/%_lib/*
/opt/kde3/%_lib/kde3/*
%attr(0644,root,root) %{_sysconfdir}/dbus-1/system.d/%{appname}.conf
/opt/kde3/share/applications/kde/%{appname}.desktop
/opt/kde3/share/apps/%{appname}
/opt/kde3/share/autostart/%{appname}-autostart.desktop
/opt/kde3/share/config.kcfg/%{appname}.kcfg
/opt/kde3/share/icons/crystalsvg/??x??/
/opt/kde3/env

%changelog
* Tue Sep 28 2010 ro@suse.de
- remove patch fuzz
* Mon Sep 27 2010 fjkong@novell.com
-Add patch knetworkmanager-WPA-EAP-data-validation-broken.patch,
-( fix bnc#484827 )
* Wed Feb 25 2009 hschaa@suse.de
- Add fix_dbus_conf.patch (bnc#479563, CVE-2009-0578)
* Wed Feb  6 2008 hschaa@suse.de
- Add patch knetworkmanager-8021x-hschaa-01.patch which
  implements ieee802.1x authentication for wired networks
  (FATE #301902)
* Thu Jan 31 2008 hschaa@suse.de
- Add patch knetworkmanager-phase2-hschaa-01.patch to support
  phase2-authenticaion (b.n.c #216063)
- Add patch knetworkmanager-vpn-overlay-hschaa-01.patch which
  shows an icon if a VPN connection is established (b.n.c #332359)
* Mon Jan  8 2007 thoenig@suse.de
- add patch knetworkmanager-fallback-thoenig-03.patch: Adapt code
  caused by an API change in NetworkManager (b.n.c #175172)
* Mon Nov  6 2006 thoenig@suse.de
- add patch knetworkmanager-dialup-yast-thoenig-01.patch: Feed
  KProcess properly to call YaST for dial-up configuration (b.n.c
  [#218289])
* Mon Sep 25 2006 thoenig@suse.de
- update to KDE SVN r588481
- open KWallet only when connecting to an encrypted network (b.n.c
  [#204809])
- ignore signal from NetworkManager if its state did not change
  (b.n.c #165275)
- move SuSE specific code to a separate patch
  (knetworkmanager-kde-networkstatus-wstephenson-01.patch)
- persist settings for "Offline Mode" and "Disable Wireless"
- avoid flickering of the tray icon
- remove absolute path to g-k-d
- this version will be released as online update for SL10.1,
  SLED10 and SLES10.
* Wed Jun 28 2006 thoenig@suse.de
- update to KDE SVN r555744
- improve status of dial-up connections in system tray (follow-up
  for b.n.c #183974)
* Wed Jun 14 2006 dmueller@suse.de
- build parallel
* Mon Jun 12 2006 thoenig@suse.de
- update to KDE SVN r550737
- show status of dial-up connection in system tray (b.n.c #183974)
* Tue May 30 2006 thoenig@suse.de
- update to KDE SVN r546497
- draw icons with correct width (b.n.c #146224)
- show special icon for ad-hoc networks to allow users to
  distinguish such from managed networks (b.n.c #176589)
- update translations
* Tue May  9 2006 thoenig@suse.de
- update to KDE SVN r538644
- disable notifications by default (b.n.c #167980)
* Thu Apr 27 2006 thoenig@suse.de
- Update to KDE SVN r534534
- Use setter functions when restoring wireless networks from
  storage (b.n.c #166913)
* Wed Apr 26 2006 dmueller@suse.de
- adding br,da,ga translations from KDE SVN (#169778)
* Tue Apr 25 2006 thoenig@suse.de
- Update to KDE SVN r533636
- Update artwork with icons from Jimmac <jimmac@ximian.com>, remove
  unused icon (b.n.c #146224)
- Add item "Configure Notifications" to the options menu (b.n.c
  [#166970]).  Patch by Michael Biebl <biebl@teco.edu>.
- Remove $(shelldesktop_DATA) from EXTRA_DIST to provide
  compatiblity with automake < 1.9.  Patch by Michael Biebl
  <biebl@teco.edu>.
* Mon Apr 24 2006 wstephenson@suse.de
- Fix #165907 by informing kded from knetworkmanager
- Update to KDE SVN r533312
* Fri Apr  7 2006 wstephenson@suse.de
- Update to KDE SVN r527269
- fix wrong signal strength, spurious disconnect notifications.
* Wed Mar 29 2006 thoenig@suse.de
- update to SVN r5964
- add "Provides: NetworkManager-client" to spec file (b.n.c.
  [#158326])
- refuse to check context menu entries if we're not connected to a
  network (b.n.c. #161245)
- update meta data
* Mon Mar 27 2006 thoenig@suse.de
- update to SVN r5961
- don't crash on exit if VPN module is active
- fix format for bandwidth and frequency (b.n.c #160624), show
  bandwidth for wired devices
- update translations
* Sun Mar 26 2006 thoenig@suse.de
- update to SVN r5956
- don't crash on connection attempts to broadcasting WPA Personal
  networks
- fix several memory leaks
- proper check for D-BUS/Qt3 bindings
* Thu Mar 23 2006 thoenig@suse.de
- update to SVN r5932
- fix compile warnings
- fix connection to WPA encrypted networks: do not show GUI elements
  for WEP (b.n.c #153243)
- knotify support
* Wed Mar 22 2006 thoenig@suse.de
- update to SVN r5923
- don't crash if HAL can not provide requested information
  (b.n.c #159502)
- tray icon: smoother connection animation
- nminfo: correct reporting of trusted networks to NM
- support for removing networks from storage via "Show Networks"
  dialog
* Sun Mar 19 2006 thoenig@suse.de
- update to SVN r5909
- WPA Enterprise: do not crash if we don't get secrets from the
  wallet (b.n.c #159402)
- VPN: initialize keyring manager if it is not yet running
  (b.n.c #156366)
- initialize members with default values (b.n.c #159502)
- fix encoding for ESSIDs (use UTF-8)
- minor UI fixes
* Tue Mar 14 2006 thoenig@suse.de
- update to SVN r5879
- add support for WPA Enterprise networks in acquire passphrase
  dialog
* Tue Mar 14 2006 thoenig@suse.de
- update to SVN r5876
- fix UI file to enable line edit of acquire passphrase dialog for
  networks with WEP encryption
- don't crash when restoring WPA Enterprise networks
* Mon Mar 13 2006 thoenig@suse.de
- update to SVN r5872
- WPA Enterprise support: store known networks and the
  corresponding secrets (feature 100140)
- add dialogs: "About" and "Report a Bug"
* Sun Mar 12 2006 thoenig@suse.de
- update to SVN r5842
- VPN support completed (see #156366)
- WPA Enterptise Support (feature 100140)
- fixes in the acquire passphrase code
* Mon Mar  6 2006 thoenig@suse.de
- land preliminary VPN support (fate 5365, 100033).
* Sat Mar  4 2006 thoenig@suse.de
- update to SVN r5779
- tray icon: show correct signal strength (#141029)
- NM API change: add _speed, {set,get}Speed () for class Device
  (#153673)
- prevent crash when NM goes down while a connection is in progress
- prevent crash when connecting to broadcasting WPA networks
- prepare VPN support
* Tue Feb 28 2006 thoenig@suse.de
- updated to SVN r5761
- reconnect to D-BUS system bus (#150042)
- merge NM changes: define NM_AUTH_CIPHER_AUTO was renamed to
  NM_AUTH_TYPE_WPA_PSK_AUTO
* Thu Feb 16 2006 thoenig@suse.de
- updated to SVN r5748
- fixed manual activation of networks:  do not ask the user for a
  password if there is one stored for the corresponding network in
  the wallet
* Mon Feb 13 2006 thoenig@suse.de
- updated to SVN r4740
- fixed challange for connections to WPA/WPA2 encrypted networks
  (closes #150243)
- updated translations
* Mon Feb  6 2006 thoenig@suse.de
- updated to SVN r5717
- NM API change: networks have a flag indicating whether they are
  broadcasting; updated tooltips to export this flag to the GUI
- introducing translations
* Sat Feb  4 2006 stbinner@suse.de
- fix build for 64bit architectures
* Thu Feb  2 2006 thoenig@suse.de
- updated to SVN r5669
- fixed tab order in wireless dialogs (closes #65568)
- WPA/WPA2: automatic detection of WPA protocol to be used by
  wpa_supplicant (see #144624)
- merged patch for kdeinit from Lubos Lunak <l.lunak@suse.cz> and
  updated spec file accordingly
- removed "connection in progress" notification from context
  menu
- verbose tooltips while connecting to a device or wireless
  network
- removed most annoying debug output
- minor fixes, cleanups
* Tue Jan 31 2006 coolo@suse.de
- check sysconfig for autostart - and fix file list
* Sun Jan 29 2006 aj@suse.de
- Require dbus-1-qt3-devel for build.
* Fri Jan 27 2006 wstephenson@suse.de
- Add system tray animations
- Update to SVN r5622
* Wed Jan 25 2006 thoenig@suse.de
- updated to SVN r5604
- storage module now should work as expected (we'll accept bugs
  against it)
- fixes and cleanups
* Tue Jan 24 2006 thoenig@suse.de
- introducing storage module to store network information and
  passphrases of encrypted networks
- enhanced tooltips
- fixes and cleanups in many places
* Mon Jan 23 2006 thoenig@suse.de
- updated to SVN r5567
- only show valid options for password challenge wrt the network
  we're about to join
- fixed crash if user cancels password challange
- prepare NMI interface to announce stored networks to NM
* Sat Jan 21 2006 thoenig@suse.de
- updated to SVN r5561
- password challange for public networks with encryption should no
  longer let KNM die
- minor fixes, cleanups
* Tue Jan 17 2006 thoenig@suse.de
- merged patch for D-BUS API change with SVN
- minor fixes
* Tue Jan 17 2006 thoenig@suse.de
- fixed dependency to libnm-util
- added autostart for KDE
* Mon Jan 16 2006 thoenig@suse.de
- updated to HEAD
- redesign for wireless networking due to NetworkManager changes
- added WPA support
- re-enabled and enahnced online/offline mode support
- minor fixes, cleanups
* Sun Jan  8 2006 thoenig@suse.de
- added dial-up support (analog modem and ISDN)
- trimmed code to honor NetworkManager API changes
- minor tweaks and fixes
- NOTE: interim release, wireless network support is broken
* Tue Dec 20 2005 ro@suse.de
- fix build with dbus-1 0.60
* Mon Dec 19 2005 dmueller@suse.de
- use dbus-1-qt3
* Tue Dec 13 2005 thoenig@suse.de
- added knetworkmanager.desktop to autostart folder of KDE
* Mon Dec 12 2005 thoenig@suse.de
- initial check-in
